# Uses of Interface
javax.print.event.PrintServiceAttributeListener

Packages that use PrintServiceAttributeListener
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.

## Uses of PrintServiceAttributeListener in javax.print

Methods in javax.print with parameters of type PrintServiceAttributeListener
Modifier and Type
Method
Description
`void`
PrintService.`addPrintServiceAttributeListener(PrintServiceAttributeListener listener)`
Registers a listener for events on this `PrintService`.
`void`
PrintService.`removePrintServiceAttributeListener(PrintServiceAttributeListener listener)`
Removes the print-service listener from this print service.